# Notes / Warning :
# - this package is not prefixable
# - to update official patches, aka SOURCE4, see README.mga in SOURCE4

%define patchlevel 4975

# Should we build X11 gui
%define buildgui 1

%{?_with_gui:%global buildgui 1}
%{?_without_gui:%global buildgui 0}

%define title       VI editor
%define longtitle   All-purpose text editor

%define baseversion 8.2
%define vimdir vim82

Name:           vim
Version:	%{baseversion}.%{patchlevel}
Release:	%mkrel 1
Summary:        VIsual editor iMproved
Url:            http://www.vim.org/
License:        Charityware
Group:          Editors
# Generated with SOURCES/vim-update.sh
Source0:	ftp://ftp.vim.org/pub/vim/unix/vim-%{baseversion}-%{patchlevel}.tar.bz2
# read README.mga prior updating official patches:
Source3:	README.mga
# http://vim.sourceforge.net/scripts/script.php?script_id=98
Source56:        http://trific.ath.cx/Ftp/vim/syntax/dhcpd.vim
# from apparmor-utils package
Source57:        apparmor.vim
Source58:        cfengine.vim
Source59:        nagios.vim
# icon rendering is ugly in GNOME3, so, adding a svg icon
Source60:	gvim.svg
# empty rpm spec template
Source61:	template.spec.tpl
Source62:	https://github.com/nelsyeung/twig.vim/archive/refs/tags/v1.0.0.tar.gz

# for updating Source0:
Source100:	vim-update.sh

# MDK patches
Patch2:         vim-5.6a-paths.patch
Patch3:         vim-8.0-rpm-spec-syntax.patch
Patch8:         vim-6.0af-man-path.patch
Patch10:        xxd-locale.patch
Patch20:        vimrc_hebrew.patch
# autoload template when creating new rpm spec files
Patch21:        vim-8.0-mga-vimrc-spec-template-autoload.patch
Patch22:        vim-8.2-fix-xterms-comments.patch
Patch23:        vim-8.2-remove-docs.patch
Patch24:        vim-8.0-outline-mode.patch
Patch26:        vim-7.4-changelog-mode.patch
Patch28:        vim-8.0-po-mode.patch
Patch30:        vim-8.0-add-dhcpd-syntax.patch
Patch31:	vim70-CVE-2007-2438.patch
Patch32:        vim-8.0-highligh-global.diff
Patch33:        vim-8.2-add-haproxy-syntax.patch

# Fedora patches
Patch100:  vim-8.0-fortify_warnings-1.patch
Patch101:  vim-7.4-fstabsyntax.patch
Patch3016: vim-8.0-copy-paste.patch
# migrate shebangs in script to /usr/bin/python3 and use python2 when necessary
Patch3017: vim-python3-tests.patch

# 
# Security Patches
# P4000 -> ...
#
BuildRequires:  python3-devel
BuildRequires:  gpm-devel
BuildRequires:  pkgconfig(ruby)
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(tinfo)
BuildRequires:  acl-devel
%if %{buildgui}
# for sound support
BuildRequires: libcanberra-devel
BuildRequires:  gtk3-devel 
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(xt)
BuildRequires:  tcl
BuildRequires:  pkgconfig(tcl)
%endif
BuildRequires:  pkgconfig(lua)

%global __requires_exclude perl\\(getopts.pl\\)

%description
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.

%package common
Summary:    The common files needed by any version of the VIM editor
Group:      Editors
Requires(pre):      coreutils
Requires(post):     coreutils
Requires(preun):    coreutils
Requires(postun):   coreutils
# <oden> Installation failed:    file /usr/share/vim/syntax/asciidoc.vim from install of vim-common-7.4.052-2.mga4.x86_64 conflicts with file from package asciidoc-8.6.8-2.mga3.noarch
Conflicts: asciidoc < 8.6.8-4

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-common package contains files which every VIM binary will need in
order to run.

%package minimal
Summary:    A minimal version of the VIM editor
Group:      Editors
Provides:   vim
Provides: vi
Requires(post):     update-alternatives
Requires(postun):   update-alternatives

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-minimal package includes a minimal version of VIM, which is
installed into /bin/vi for use when only the root partition is
present. NOTE: The online help is only available when the vim-common
package is installed.

%package enhanced
Summary:    A version of the VIM editor which includes recent enhancements
Group:      Editors
Requires:   vim-common >= %{version}-%{release}
Provides:   vim
Requires(post):     update-alternatives
Requires(postun):   update-alternatives

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-enhanced package contains a version of VIM with extra, recently
introduced features like Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a version of the
VIM editor which includes recently added enhancements like
interpreters for the Python and Perl scripting languages.  You'll also
need to install the vim-common package.

%if %{buildgui}
%package X11
Summary:    The VIM version of the vi editor for the X Window System
Group:      Editors
Provides:   vim
Requires:   vim-common >= %{version}-%{release}
Requires(post):     desktop-file-utils
Requires(postun):   desktop-file-utils

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and
more.  VIM-X11 is a version of the VIM editor which will run within the
X Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support by command gvim.

Install the vim-X11 package if you'd like to try out a version of vi
with graphics and mouse capabilities.  You'll also need to install the
vim-common package.
%endif

%define localedir %{buildroot}%{_datadir}/locale/

%prep
%setup -q -n %{vimdir} -a 62
# spec plugin
rm -f runtime/doc/pi_spec.txt
rm -f runtime/ftpplugin/spec.vim
cp -a %{SOURCE56} runtime/syntax/
cp -a %{SOURCE57} runtime/syntax/
cp -a %{SOURCE58} runtime/syntax/
cp -a %{SOURCE59} runtime/syntax/
cp -a twig.vim-1.0.0/indent/twig.vim runtime/indent/
cp -a twig.vim-1.0.0/ftplugin/twig.vim runtime/ftplugin/
cp -a twig.vim-1.0.0/syntax/twig.vim runtime/syntax/

#mdk patches
%patch2 -p1
%patch3 -p0 -b .spec
%patch8 -p1 -b .manpath
%patch10 -p1 -b .xxdloc
%patch20 -p1 -b .warly
%patch21 -p1 -b .spec-template-autoload
%patch22 -p0
%patch23 -p0 -b .doc
%patch24 -p0
%patch26 -p0
%patch28 -p1
%patch30 -p0
%patch32 -p1
%patch33 -p1 -b .add-haproxy-syntax
# Fedora patches
%patch100 -p1
%patch101 -p1
%patch3016 -p1
%patch3017 -p1

perl -pi -e 's|SYS_VIMRC_FILE "\$VIM/vimrc"|SYS_VIMRC_FILE "%_sysconfdir/vim/vimrc"|' src/os_unix.h
perl -pi -e 's|SYS_GVIMRC_FILE "\$VIM/gvimrc"|SYS_GVIMRC_FILE "%_sysconfdir/vim/gvimrc"|' src/os_unix.h
# disable command echo
for i in runtime/{gvimrc_example.vim,vimrc_example.vim,defaults.vim}; do
    perl -pi -e 's!^set showcmd!set noshowcmd!' $i
done
perl -pi -e 's|\Qsvn-commit.*.tmp\E|svn-commit*.tmp|'       ./runtime/filetype.vim

%build
# ensure xxd works with big files:
export CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2"
export CXXFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2"

export LDFLAGS="%{ldflags} $(python3-config --libs --embed)"

%if %{buildgui}
# First build: gvim
LOCALEDIR=%{localedir} ./configure --prefix=%{_prefix} \
--enable-python3interp=dynamic  \
--enable-perlinterp \
--enable-rubyinterp \
--enable-tclinterp \
--with-features=huge \
--enable-acl --with-x=yes --enable-gui=gtk3 --exec-prefix=%{_prefix}/X11R6 \
--enable-gtk3-check \
--enable-multibyte --enable-xim --enable-fontset --mandir=%{_mandir} \
  --enable-canberra \
--libdir=%{_libdir} --with-compiledby="%packager"

echo "#define MAX_FEAT 1" >> src/config.h
echo "#define FEAT_GUI" >> src/config.h
# workaround buggy build system:
perl -pi -e 's!/usr/include long!/usr/include !' src/auto/config.mk

%make_build
mv src/vim src/gvim
rm -rf src/auto/config.cache
make -C src clean
%endif

# Second build: vim-enhanced
./configure --prefix=%{_prefix} \
--enable-acl --enable-rubyinterp --enable-tclinterp \
--enable-python3interp=dynamic \
--enable-perlinterp --with-features=huge \
--libdir=%{_libdir} --with-compiledby="%packager" \
--with-x=no --enable-gui=no --exec-prefix=%{_prefix} \
  --disable-canberra

%make_build
mv src/vim src/vim-enhanced
rm -rf src/auto/config.cache
make -C src/ clean

# Third build: vim-minimal
export LDFLAGS="%{ldflags}"
./configure  --prefix=%{_prefix} \
--with-features=tiny --disable-tclinterp --disable-cscope \
--disable-hangulinput --disable-xim --disable-fontset --disable-gui \
--disable-acl --disable-pythoninterp --disable-perlinterp \
--libdir=%{_libdir} --with-compiledby="%packager" \
--with-x=no --enable-gui=no --disable-gpm --exec-prefix=%{_prefix} --with-tlib=tinfo \
  --disable-canberra

%make_build
cp src/vim src/vim-minimal
%make_build -C src

cp -al runtime/doc doc
# apply os_doc.diff
pushd doc
rm -f *.1
rm -f os_{390,dos,msdos,risc,win32,amiga,mac,os2,beos,mint,qnx,vms}.txt
rm -f gui_{w16,w32}.txt
rm -f vim2html.pl Makefile *awk
popd

# britton support
ln -s tutor.fr runtime/tutor/tutor.br
ln -s menu_fr_fr.iso_8859-15.vim runtime/lang/menu_br

%install
perl -pi -e 's!LOCALEDIR=\$\(DEST_LANG\)!LOCALEDIR=\$(DESTDIR)\$\(prefix\)/share/locale!g' src/Makefile

mkdir -p %{buildroot}{/bin,%{_bindir},%{_datadir}/{vim,locale},%{_mandir}/man1,%{localedir}}
# Adding STRIP=/bin/true, because Vim wants to strip the binaries by himself
# and put the stripped files into correct dirs. Build system (koji/brew) 
# does it for us, so there is no need to do it in Vim
%make_install VIMRTDIR="" STRIP=/bin/true


make -C src installmacros prefix=%{buildroot}%{_prefix} VIMRTDIR=""

# fix unreadable files:
chmod a+r runtime/{autoload/{tar,netrw}.vim,doc/pi_{netrw,tar}.txt}

%if %{buildgui}
mkdir -p %{buildroot}%{_bindir}
install -m 755 src/gvim %{buildroot}%{_bindir}
%endif

install -m 755 src/vim-enhanced %{buildroot}%{_bindir}
install -m 755 src/vim-minimal %{buildroot}/bin/vim-minimal

cd %{buildroot}
rm -f ./bin/rvim
rm -f ./usr/bin/rview ./usr/bin/rvim ./usr/bin/view
for i in ex vimdiff; do
    ln -sf vim-enhanced ./usr/bin/$i
done
rm -f ./usr/man/man1/rvim.*
rm -f ./usr/share/man/man1/evim.*
%if %{buildgui}
ln -sf gvim ./usr/bin/gvimdiff
ln -sf gvim ./usr/bin/vimx
%endif
rm -f ./usr/share/vim/*/cmake.vim
cd -

# installing man pages
for i in %{buildroot}%{_mandir}/man1/{vi,rvi}; do
    cp %{buildroot}%{_mandir}/man1/vim.1 $i.1
done

%if %{buildgui}
cp %{buildroot}%{_mandir}/man1/vim.1 %{buildroot}%{_mandir}/man1/gvim.1
%endif

ln -sf defaults.vim %{buildroot}/usr/share/vim/vimrc

cd %{buildroot}/%{_prefix}/share/vim/tools
# i need to make a choice :(.
rm -f vim132
perl -p -i -e 's|#!/usr/bin/nawk|#!/usr/bin/gawk|' mve.awk
perl -p -i -e 's|#!/usr/local/bin/perl|#!/usr/bin/perl|' *.pl
perl -p -i -e 's|#!/usr/gnu/bin/perl|#!/usr/bin/perl|' *
cd -

# Be short-circuit aware :
ln -f runtime/macros/README.txt README_macros.txt
ln -f runtime/tools/README.txt README_tools.txt
perl -p -i -e "s|#!/usr/local/bin/perl|#!/usr/bin/perl|" runtime/doc/*.pl

# installing the menu icons & entry
%if %{buildgui}
install -D -p -m 0644 %{SOURCE60} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/gvim.svg

# gvim and fontset (from Pablo) 2001/03/19
echo 'set guifontset=-*-fixed-medium-r-normal--14-*-*-*-c-*-*-*,-*-*-medium-r-normal--14-*-*-*-c-*-*-*,-*-*-medium-r-normal--14-*-*-*-m-*-*-*,*' > %{buildroot}%{_datadir}/vim/gvimrc
%endif

# fix the paths in the man pages
for i in %{buildroot}/usr/share/man/man1/*.1; do
    perl -p -i -e "s|%{buildroot}||" $i
done

# prevent including twice the doc
rm -fr %{buildroot}/usr/share/vim/doc
ln -sf ../../../%{_defaultdocdir}/%{name}-common/doc %{buildroot}/usr/share/vim/doc

%{find_lang} %{name} --with-man --all-name

find %{buildroot}%{_datadir}/vim/ -name "tutor.*" | egrep -v 'tutor(|\.vim)$' |
 sed -e 's!^\(.*tutor.\)\(..\)!%lang(\2) \1\2!g' >> %{name}.lang

find %{buildroot}%{_datadir}/vim/lang -name "menu*" |
 sed -e 's!^\(.*menu_\)\(..\)\(_\)!%lang(\2) \1\2\3!g' \
  -e 's!^\(.*menu\)\(_chinese\)!%lang(zh) \1\2!g' \
  -e 's!^\(.*menu\)\(_czech_\)!%lang(cs) \1\2!g' \
  -e 's!^\(.*menu\)\(_french\)!%lang(fr) \1\2!g' \
  -e 's!^\(.*menu\)\(_german\)!%lang(de) \1\2!g' \
  -e 's!^\(.*menu\)\(_japanes\)!%lang(ja) \1\2!g' \
  -e 's!^\(.*menu\)\(_polish\)!%lang(pl) \1\2!g' \
  -e 's!^\(.*menu\)\(_slovak\)!%lang(sk) \1\2!g' \
  -e 's!^\(.*menu\)\(_spanis\)!%lang(es) \1\2!g' \
  >> %{name}.lang
# add softlinks:
find %{buildroot}%{_datadir}/vim/lang -type l >> %{name}.lang
# clean file list:
sed -i "s^%{buildroot}^^" %{name}.lang

rm -f %{buildroot}%{_bindir}/vim

mkdir -p %{buildroot}%{_sysconfdir}/vim/
MESSAGE='"Place your systemwide modification here.\n"%{_datadir}/vim/ files will be overwritten on update\n'
echo -e "$MESSAGE\nsource %_datadir/vim/vimrc" > %{buildroot}/%{_sysconfdir}/vim/vimrc
%if %{buildgui}
echo -e "$MESSAGE\nsource %_datadir/vim/gvimrc" > %{buildroot}/%{_sysconfdir}/vim/gvimrc
%endif

# create templates folder
mkdir -p %{buildroot}/%{_datadir}/%{name}/vimfiles
install -m 0644 %{SOURCE61} %{buildroot}/%{_datadir}/%{name}/vimfiles/template.spec

%post minimal
update-alternatives --install /bin/vi vi /bin/vim-minimal 10 \
    --slave /bin/view view /bin/vim-minimal \
    --slave /bin/ex ex /bin/vim-minimal \
    --slave /bin/rvi rvi /bin/vim-minimal \
    --slave /bin/rview rview /bin/vim-minimal
update-alternatives --install /bin/vim vim /bin/vim-minimal 10 \
    --slave /bin/rvim rvim /bin/vim-minimal

%postun minimal
[ $1 = 0 ] || exit 0
update-alternatives --remove vi  /bin/vim-minimal
update-alternatives --remove vim /bin/vim-minimal

%triggerpostun minimal -- vim-minimal < 7.3
update-alternatives --remove uvi /bin/vim-minimal
for i in view ex rvi rview rvim; do
    update-alternatives --remove $i /bin/$i || :
done

%post enhanced
update-alternatives --install /bin/vi vi /usr/bin/vim-enhanced 20 \
    --slave /bin/view view /usr/bin/vim-enhanced \
    --slave /bin/ex ex /usr/bin/vim-enhanced \
    --slave /bin/rvi rvi /usr/bin/vim-enhanced \
    --slave /bin/rview rview /usr/bin/vim-enhanced
update-alternatives --install /bin/vim vim /usr/bin/vim-enhanced 20 \
    --slave /bin/rvim rvim /usr/bin/vim-enhanced

%postun enhanced
[ $1 = 0 ] || exit 0
update-alternatives --remove vi  /usr/bin/vim-enhanced
update-alternatives --remove vim /usr/bin/vim-enhanced

%triggerpostun enhanced -- vim-enhanced < 7.3
update-alternatives --remove uvi /usr/bin/vim-enhanced

%files common -f vim.lang
%doc README*.txt
#%doc --parents mandriva/README*
%doc doc
%{_datadir}/vim/doc
%dir %{_datadir}/vim/
%{_datadir}/vim/[^tlg]*
%{_datadir}/vim/gvimrc_example.vim
%{_datadir}/vim/lang/README.txt
%{_datadir}/vim/tools
%{_datadir}/vim/tutor/README.*
%{_datadir}/vim/tutor/tutor
%{_datadir}/vim/tutor/tutor.vim
%{_mandir}/man1/vim.1*
%{_mandir}/man1/ex.1*
%{_mandir}/man1/vi.1*
%{_mandir}/man1/view.1*
%{_mandir}/man1/rvi.1*
%{_mandir}/man1/rview.1*
%{_mandir}/man1/vimdiff.1*
%{_mandir}/man1/vimtutor.1*
%{_mandir}/man1/rvim.1*
%{_bindir}/vimtutor
%{_bindir}/xxd
%{_mandir}/man1/xxd.1*
%dir %{_sysconfdir}/vim/
%config(noreplace) %{_sysconfdir}/vim/*

%files minimal
%doc README*.txt
/bin/vim-minimal

%files enhanced
%doc README*.txt
%{_bindir}/ex
%{_bindir}/vimdiff
%{_bindir}/vim-enhanced

%if %{buildgui}
%files X11
%doc README*.txt
%{_bindir}/gvim
%{_bindir}/gvimdiff
%{_bindir}/vimx
%{_mandir}/man1/gvim.1*
%{_iconsdir}/hicolor/*/apps/gvim.*
%{_iconsdir}/locolor/*/apps/*
%{_datadir}/applications/*.desktop
%{_datadir}/vim/gvimrc
%else
%exclude %{_datadir}/applications/*.desktop
%exclude %{_iconsdir}/hicolor/*/apps/gvim.*
%exclude %{_iconsdir}/locolor/*/apps/*
%endif


%changelog
* Sun May 22 2022 neoclust <neoclust> 8.2.4975-1.mga8
+ Revision: 1859734
- New version 8.2.4938 ( fixes a lot of CVE see: mga#29972)
- New version 8.2.4114: Fixes CVE-2022-01[25]8, CVE-2022-0156, CVE-2022-0213 (mga#29891)
- New version 8.2-4006: Fixes CVE-2021-4136, CVE-2021-4166, CVE-2021-4173, CVE-2021-4186 (mga#29856)
- New version 8.2-3755: Fixes CVE-2021-4069 (mga#29748)
- New version 8.2.3717: Fixes CVE-2021-4019 (mga#29730)
- New version 8.2-3642 (mga#29583)
- New version 8.2.3582: Fixes CVE-2021-3872, CVE-2021-3875, CVE-2021-3903, CVE-2021-392[78] (mga#29583)
- Bump subrel
- Add P10002/10003: Fixes CVE-2021-3778 and CVE-2021-3796 (mga#29501)
- Add Patch10000/Patch10001: Fixes CVE-2021-3770 (mga#29444)
+ rapsys <rapsys>
- Update patch to match version
- Add haproxy syntax
  Fix without gui build
- Add haproxy syntax
  Fix without gui build

* Tue Dec 15 2020 tv <tv> 8.2.2143-2.mga8
+ Revision: 1657884
- 8.2.2143

* Wed Dec 09 2020 tv <tv> 8.2.2115-2.mga8
+ Revision: 1654875
- 8.2.2115

* Fri Dec 04 2020 tv <tv> 8.2.2086-2.mga8
+ Revision: 1652522
- 8.2.2086

* Tue Dec 01 2020 tv <tv> 8.2.2072-2.mga8
+ Revision: 1651307
- 8.2.2072

* Fri Nov 20 2020 tv <tv> 8.2.2018-2.mga8
+ Revision: 1647900
- 8.2.2018

* Tue Nov 10 2020 tv <tv> 8.2.1971-2.mga8
+ Revision: 1644254
- 8.2.1971

* Fri Nov 06 2020 tv <tv> 8.2.1961-2.mga8
+ Revision: 1643058
- 8.2.1961

* Mon Nov 02 2020 tv <tv> 8.2.1941-2.mga8
+ Revision: 1641639
- 8.2.1941

* Thu Oct 22 2020 tv <tv> 8.2.1885-2.mga8
+ Revision: 1638508
- 8.2.1885

* Fri Oct 09 2020 tv <tv> 8.2.1815-2.mga8
+ Revision: 1632938
- 8.2.1815

* Wed Oct 07 2020 tv <tv> 8.2.1805-2.mga8
+ Revision: 1632490
- 8.2.1805

* Wed Sep 30 2020 tv <tv> 8.2.1770-2.mga8
+ Revision: 1631275
- 8.2.1770

* Tue Sep 15 2020 tv <tv> 8.2.1687-2.mga8
+ Revision: 1626740
- 8.2.1687

* Thu Sep 10 2020 tv <tv> 8.2.1651-2.mga8
+ Revision: 1624071
- 8.2.1651

* Tue Sep 08 2020 tv <tv> 8.2.1634-2.mga8
+ Revision: 1623520
- 8.2.1634

* Tue Sep 01 2020 tv <tv> 8.2.1551-2.mga8
+ Revision: 1620722
- 8.2.1551

* Wed Aug 26 2020 tv <tv> 8.2.1522-2.mga8
+ Revision: 1619123
- 8.2.1522

* Mon Aug 24 2020 tv <tv> 8.2.1520-2.mga8
+ Revision: 1618550
- 8.2.1520

* Wed Aug 19 2020 tv <tv> 8.2.1484-2.mga8
+ Revision: 1615946
- 8.2.1484

* Tue Aug 18 2020 tv <tv> 8.2.1412-2.mga8
+ Revision: 1615068
- enable sounds for gvim

* Mon Aug 10 2020 tv <tv> 8.2.1412-1.mga8
+ Revision: 1613098
- 8.2.1412

* Sun Aug 09 2020 tv <tv> 8.2.1382-1.mga8
+ Revision: 1612182
- 8.2.1382

* Mon Aug 03 2020 tv <tv> 8.2.1359-1.mga8
+ Revision: 1610733
- 8.2.1359

* Sat Aug 01 2020 tv <tv> 8.2.1307-1.mga8
+ Revision: 1610229
- 8.2.1307

* Thu Jul 16 2020 tv <tv> 8.2.1224-1.mga8
+ Revision: 1606511
- 8.2.1224

* Wed Jul 15 2020 tv <tv> 8.2.1217-1.mga8
+ Revision: 1606371
- 8.2.1217

* Mon Jun 29 2020 tv <tv> 8.2.1081-1.mga8
+ Revision: 1600352
- 8.2.1081

* Thu Jun 25 2020 tv <tv> 8.2.1052-1.mga8
+ Revision: 1599280
- 8.2.1052

* Wed Jun 17 2020 umeabot <umeabot> 8.2.987-2.mga8
+ Revision: 1595325
- Rebuild for perl 5.32

* Tue Jun 16 2020 tv <tv> 8.2.987-1.mga8
+ Revision: 1593580
- 8.2.987

* Fri Jun 05 2020 tv <tv> 8.2.905-1.mga8
+ Revision: 1590585
- 8.2.905

* Mon Jun 01 2020 tv <tv> 8.2.869-1.mga8
+ Revision: 1589423
- 8.2.869

* Sat May 23 2020 tv <tv> 8.2.806-1.mga8
+ Revision: 1587126
- 8.2.806

* Mon May 18 2020 tv <tv> 8.2.789-1.mga8
+ Revision: 1586000
- 8.2.789

* Thu May 14 2020 tv <tv> 8.2.752-1.mga8
+ Revision: 1583691
- 8.2.752

* Mon May 11 2020 tv <tv> 8.2.735-1.mga8
+ Revision: 1583195
- 8.2.735

* Tue May 05 2020 tv <tv> 8.2.694-1.mga8
+ Revision: 1580269
- 8.2.694

* Fri Apr 24 2020 tv <tv> 8.2.628-1.mga8
+ Revision: 1571642
- 8.2.628

* Tue Apr 21 2020 tv <tv> 8.2.613-1.mga8
+ Revision: 1570310
- 8.2.613

* Fri Apr 17 2020 tv <tv> 8.2.587-1.mga8
+ Revision: 1568341
- 8.2.587

* Tue Apr 07 2020 tv <tv> 8.2.525-1.mga8
+ Revision: 1565479
- 8.2.525

* Mon Apr 06 2020 tv <tv> 8.2.520-1.mga8
+ Revision: 1565161
- 8.2.520

* Mon Mar 30 2020 tv <tv> 8.2.480-1.mga8
+ Revision: 1562306
- 8.2.480

* Thu Mar 26 2020 tv <tv> 8.2.448-1.mga8
+ Revision: 1560785
- 8.2.448

* Mon Mar 16 2020 tv <tv> 8.2.390-1.mga8
+ Revision: 1556957
- 8.2.390

* Fri Mar 06 2020 tv <tv> 8.2.357-1.mga8
+ Revision: 1554437
- 8.2.357

* Thu Mar 05 2020 tv <tv> 8.2.356-1.mga8
+ Revision: 1554029
- 8.2.356

* Tue Mar 03 2020 tv <tv> 8.2.348-1.mga8
+ Revision: 1553538
- patchlevel 348

* Mon Mar 02 2020 pterjan <pterjan> 8.2.236-3.mga8
+ Revision: 1553186
- Rebuild for ruby 2.7

* Wed Feb 19 2020 umeabot <umeabot> 8.2.236-2.mga8
+ Revision: 1543020
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 8.2.236-1.mga8
+ Revision: 1490776
- patchlevel 236
- new release

* Sat Jan 11 2020 tv <tv> 8.2.109-1.mga8
+ Revision: 1477563
- new release

* Thu Jan 02 2020 tv <tv> 8.2.076-1.mga8
+ Revision: 1475594
- new release
- remove very old obsoletes/provides on vim-color

* Sat Dec 21 2019 tv <tv> 8.2.019-1.mga8
+ Revision: 1469228
- new release

* Tue Dec 17 2019 tv <tv> 8.2.012-1.mga8
+ Revision: 1468552
- new release

* Wed Dec 11 2019 tv <tv> 8.1.2352-1.mga8
+ Revision: 1465934
- new release

* Mon Oct 28 2019 tv <tv> 8.1.2198-1.mga8
+ Revision: 1456238
- new release

* Sun Oct 06 2019 tv <tv> 8.1.2102-1.mga8
+ Revision: 1449794
- new release

* Sat Sep 14 2019 tv <tv> 8.1.2019-1.mga8
+ Revision: 1440636
- rebuild for python-3.8

* Mon Aug 26 2019 tv <tv> 8.1.1912-1.mga8
+ Revision: 1432521
- new release + rebuild with perl-5.30

* Tue Aug 06 2019 tv <tv> 8.1.1790-1.mga8
+ Revision: 1427695
- new release

* Wed Jul 24 2019 tv <tv> 8.1.1713-1.mga8
+ Revision: 1423729
- new release

* Mon Jul 01 2019 tv <tv> 8.1.1602-2.mga8
+ Revision: 1417275
- submit to core/release

* Sun Jun 30 2019 tv <tv> 8.1.1602-1.mga8
+ Revision: 1416430
- new release

* Sun Mar 31 2019 tv <tv> 8.1.1048-1.mga7
+ Revision: 1383380
- new release

* Mon Feb 18 2019 tv <tv> 8.1.918-1.mga7
+ Revision: 1368250
- rediff patch
- rediff patch
- patchlevel 918
- we do not need exact include path

* Sun Jan 13 2019 tv <tv> 8.1.714-1.mga7
+ Revision: 1355804
- new release

* Fri Dec 21 2018 tv <tv> 8.1.575-1.mga7
+ Revision: 1344190
- patchlevel 575
- do not strip binaries before build system strips it

* Fri Nov 16 2018 tv <tv> 8.1.527-1.mga7
+ Revision: 1330192
- patchlevel 527

* Fri Nov 09 2018 tv <tv> 8.1.513-1.mga7
+ Revision: 1329134
- new release

* Mon Nov 05 2018 tv <tv> 8.1.497-1.mga7
+ Revision: 1328428
- new release

* Wed Aug 29 2018 tv <tv> 8.1.328-1.mga7
+ Revision: 1255461
- new release

* Tue Aug 14 2018 tv <tv> 8.1.279-1.mga7
+ Revision: 1251548
- new release

* Sun Aug 05 2018 pterjan <pterjan> 8.1.229-2.mga7
+ Revision: 1247457
- Rebuild for perl 5.28

* Thu Aug 02 2018 tv <tv> 8.1.229-1.mga7
+ Revision: 1246872
- new release

* Fri Jun 15 2018 tv <tv> 8.1.055-1.mga7
+ Revision: 1236976
- new release

* Thu May 24 2018 tv <tv> 8.1.022-1.mga7
+ Revision: 1231997
- new release

* Tue May 22 2018 tv <tv> 8.1.016-1.mga7
+ Revision: 1231491
- new release

* Tue May 15 2018 tv <tv> 8.0.1842-1.mga7
+ Revision: 1229686
- patchlevel 1842
- use python2 and python3 in code

* Mon Mar 26 2018 tv <tv> 8.0.1630-1.mga7
+ Revision: 1212678
- new release

* Thu Feb 01 2018 tv <tv> 8.0.1451-2.mga7
+ Revision: 1198437
- new release

* Fri Jan 05 2018 tv <tv> 8.0.1428-2.mga7
+ Revision: 1190546
- new release

* Mon Jan 01 2018 pterjan <pterjan> 8.0.1283-2.mga7
+ Revision: 1188717
- Rebuild for Ruby 2.5

* Mon Nov 13 2017 tv <tv> 8.0.1283-1.mga7
+ Revision: 1177291
- rediff patch 24
- new release

* Tue Oct 31 2017 tv <tv> 8.0.1240-1.mga7
+ Revision: 1175100
- new release
- new release

* Sun Oct 15 2017 tv <tv> 8.0.1187-1.mga7
+ Revision: 1171988
- new release

* Mon Sep 18 2017 tv <tv> 8.0.1097-1.mga7
+ Revision: 1155190
- new release
- drop the strict requires on perl-base: libperl is already versionated

* Wed Aug 30 2017 tv <tv> 8.0.983-1.mga7
+ Revision: 1148611
- new release

* Tue Aug 15 2017 pterjan <pterjan> 8.0.885-2.mga7
+ Revision: 1140906
- Rebuild for new Ruby

* Thu Aug 10 2017 tv <tv> 8.0.885-1.mga7
+ Revision: 1139541
- new release
- fix python3 path (thus fixing loading eg: powerline)

* Fri Jul 21 2017 tv <tv> 8.0.739-2.mga7
+ Revision: 1126251
- new release

* Wed Jul 19 2017 tv <tv> 8.0.728-2.mga7
+ Revision: 1125390
- rebuild for new perl

* Wed Jul 19 2017 tv <tv> 8.0.728-1.mga7
+ Revision: 1125052
- new release

* Thu Mar 02 2017 tv <tv> 8.0.388-1.mga6
+ Revision: 1088468
- new release (security fix, mga#19829)

* Tue Jan 31 2017 shlomif <shlomif> 8.0.176-2.mga6
+ Revision: 1084399
- Rebuild for the new perl.
+ tv <tv>
- new release

* Thu Jan 12 2017 tv <tv> 8.0.160-1.mga6
+ Revision: 1081193
- new release
- use FC patch for disabling mouse
- use defaults.vim instead of vimrc_example for system vimrc

* Sat Jan 07 2017 tv <tv> 8.0.133-3.mga6
+ Revision: 1080494
- enable to copy/paste with mouse like by default in previous versions (mga#19467)

* Tue Dec 20 2016 tv <tv> 8.0.133-2.mga6
+ Revision: 1076207
- new release

* Wed Nov 23 2016 neoclust <neoclust> 8.0.095-2.mga6
+ Revision: 1069371
- New version 8.0.0095 ( Fix CVE CVE-2016-1248)

* Tue Nov 08 2016 tv <tv> 8.0.038-2.mga6
+ Revision: 1065827
- disable gpm support in vim-minimal (mga#19467)

* Wed Oct 26 2016 tv <tv> 8.0.038-1.mga6
+ Revision: 1063602
- new version
- use FC way to update as upstream patches from FTP server do not apply cleanly

* Tue Oct 11 2016 pterjan <pterjan> 8.0.5-3.mga6
+ Revision: 1060186
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Tue Oct 04 2016 daviddavid <daviddavid> 8.0.5-2.mga6
+ Revision: 1058317
- fix a dangling link removing no more needed and useless locale symlink
  since "%%pre common" section was removed in commit 397203 (mga#19371)

* Thu Sep 15 2016 tv <tv> 8.0.5-1.mga6
+ Revision: 1053176
- new version

* Thu Sep 15 2016 tv <tv> 8.0.3-3.mga6
+ Revision: 1053019
- enable python3 support (needed for eg: powerline)
- enable gpm support
- BR lua-devel
- use fortify

* Tue Sep 13 2016 tv <tv> 8.0.3-2.mga6
+ Revision: 1052493
- really apply upstream patch
- use upstream rpm ftplugin instead of an 11+ years old unmainted one
- kill BR on libgnomeui2-devel
- replace patch 27 by a require excludes

* Tue Sep 13 2016 tv <tv> 8.0.3-1.mga6
+ Revision: 1052472
- drop our menu entry as upstream provides one now
- new release
- rediff patches
- drop patch 25
- really apply official patches :-(
  (broken since mga1...)
- switch to gtk+3

* Mon Jul 11 2016 tv <tv> 7.4.2025-1.mga6
+ Revision: 1041071
- new release

* Tue May 03 2016 tv <tv> 7.4.1816-1.mga6
+ Revision: 1008963
- new release

* Tue Apr 26 2016 tv <tv> 7.4.1785-1.mga6
+ Revision: 1006370
- new release

* Mon Apr 04 2016 tv <tv> 7.4.1706-1.mga6
+ Revision: 998364
- new release

* Thu Mar 31 2016 tv <tv> 7.4.1689-1.mga6
+ Revision: 997061
- new release

* Fri Mar 25 2016 tv <tv> 7.4.1646-1.mga6
+ Revision: 995461
- new release

* Wed Mar 16 2016 tv <tv> 7.4.1578-1.mga6
+ Revision: 992015
- new release

* Sat Mar 12 2016 tv <tv> 7.4.1536-6.mga6
+ Revision: 989394
- new release

* Tue Mar 08 2016 tv <tv> 7.4.1509-6.mga6
+ Revision: 987310
- new release

* Thu Feb 25 2016 tv <tv> 7.4.1416-6.mga6
+ Revision: 979146
- new release

* Sat Feb 20 2016 tv <tv> 7.4.1361-6.mga6
+ Revision: 972354
- new release

* Wed Feb 17 2016 umeabot <umeabot> 7.4.889-6.mga6
+ Revision: 963203
- Mageia 6 Mass Rebuild

* Wed Dec 16 2015 shlomif <shlomif> 7.4.889-5.mga6
+ Revision: 911023
- Rebuild for new perl

* Sun Nov 01 2015 neoclust <neoclust> 7.4.889-4.mga6
+ Revision: 897176
- Highlight %%global keyword in spec files

* Tue Oct 27 2015 shlomif <shlomif> 7.4.889-3.mga6
+ Revision: 895784
- Rebuild for the new ruby. ":CommandT" crashed previously.

* Sat Oct 03 2015 tv <tv> 7.4.889-2.mga6
+ Revision: 885871
- rebuild for new tcl

* Tue Sep 29 2015 tv <tv> 7.4.889-1.mga6
+ Revision: 885092
- new release

* Sat Sep 19 2015 tv <tv> 7.4.873-1.mga6
+ Revision: 881615
- re-enable debuginfo
- use find_lang's --all-name option
- adjust file list
- use find_lang's --with-man option
- new release
- do not strip binaries
- new release
- new release
- fix "File listed twice"
+ tmb <tmb>
- rebuild for new gcc

* Sun Aug 16 2015 tv <tv> 7.4.826-1.mga6
+ Revision: 865091
- new release
- new release

* Tue Aug 04 2015 tv <tv> 7.4.803-1.mga6
+ Revision: 860963
- handle %%pretrans & filetriggers, makeinstall & make_install
- do not colorize makeinstall_std & old_makeinstall anymore
  (%%make_install & %%makeinstall should be used respectively)
- typo fix (+ simplify patch)
- new release

* Thu Jun 25 2015 tv <tv> 7.4.761-3.mga6
+ Revision: 843436
- new release

* Wed Jun 24 2015 tv <tv> 7.4.752-3.mga6
+ Revision: 842506
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 7.4.752-2.mga6
+ Revision: 840459
- Rebuild for perl 5.22

* Mon Jun 22 2015 tv <tv> 7.4.752-1.mga6
+ Revision: 839052
- new release

* Sun Jun 21 2015 tv <tv> 7.4.449-1.mga6
+ Revision: 837630
- new release

* Tue Nov 25 2014 doktor5000 <doktor5000> 7.4.430-7.mga5
+ Revision: 798913
- added rpm spec template %%{_datadir}/%%{name}/vimfiles/template.spec
  o adapt vimrc to autoload template when creating new rpm spec files

* Wed Oct 15 2014 umeabot <umeabot> 7.4.430-6.mga5
+ Revision: 747753
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 7.4.430-5.mga5
+ Revision: 725277
- rebuild for bogus file deps

* Tue Sep 23 2014 tmb <tmb> 7.4.430-4.mga5
+ Revision: 722149
- rebuild for new perl

* Tue Sep 16 2014 umeabot <umeabot> 7.4.430-3.mga5
+ Revision: 690209
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 guillomovitch <guillomovitch> 7.4.430-2.mga5
+ Revision: 677602
- update RPM syntax patch for new keyword

* Mon Sep 01 2014 tv <tv> 7.4.430-1.mga5
+ Revision: 670409
- new release

* Wed Aug 27 2014 tv <tv> 7.4.417-1.mga5
+ Revision: 668559
- new release

* Sat Aug 16 2014 tv <tv> 7.4.405-1.mga5
+ Revision: 663994
- new release

* Fri Aug 01 2014 tv <tv> 7.4.389-1.mga5
+ Revision: 658973
- new release

* Tue Jun 03 2014 tv <tv> 7.4.316-1.mga5
+ Revision: 632055
- new release

* Mon May 05 2014 tv <tv> 7.4.274-1.mga5
+ Revision: 620262
- new release

* Sun Apr 27 2014 tv <tv> 7.4.265-1.mga5
+ Revision: 618509
- new release

* Mon Mar 31 2014 tv <tv> 7.4.229-1.mga5
+ Revision: 610992
- new release

* Wed Mar 19 2014 tv <tv> 7.4.210-1.mga5
+ Revision: 605917
- new release

* Fri Mar 07 2014 tv <tv> 7.4.192-1.mga5
+ Revision: 600958
- new release

* Tue Feb 18 2014 tv <tv> 7.4.182-1.mga5
+ Revision: 594476
- new release

* Sat Feb 08 2014 tv <tv> 7.4.169-1.mga5
+ Revision: 586792
- new release

* Tue Feb 04 2014 tv <tv> 7.4.161-1.mga5
+ Revision: 581792
- new release

* Tue Jan 14 2014 oden <oden> 7.4.052-3.mga4
+ Revision: 566574
- fix a file clash

* Mon Oct 21 2013 umeabot <umeabot> 7.4.052-2.mga4
+ Revision: 540410
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 tv <tv> 7.4.052-1.mga4
+ Revision: 493589
- new release

* Tue Oct 08 2013 colin <colin> 7.4.050-2.mga4
+ Revision: 493177
- Rebuild against ncurse's libtinfo rather than libtermcap

* Sat Oct 05 2013 tv <tv> 7.4.050-1.mga4
+ Revision: 491897
- new release

* Sat Sep 28 2013 tv <tv> 7.4.041-1.mga4
+ Revision: 488568
- new release

* Sat Sep 21 2013 fwang <fwang> 7.4.009-2.mga4
+ Revision: 482713
- rebuild for ruby 2.0

* Tue Aug 27 2013 tv <tv> 7.4.009-1.mga4
+ Revision: 472322
- new release

* Tue Aug 27 2013 tv <tv> 7.4.007-1.mga4
+ Revision: 472302
- new release

* Fri Aug 23 2013 tv <tv> 7.3.1036-2.mga4
+ Revision: 469926
- rebuild for new perl

* Wed May 29 2013 tv <tv> 7.3.1036-1.mga4
+ Revision: 429913
- new release

* Sun Mar 17 2013 tv <tv> 7.3.762-5.mga3
+ Revision: 403552
- rebuild for new perl

* Fri Feb 08 2013 luigiwalser <luigiwalser> 7.3.762-4.mga3
+ Revision: 397203
- remove obsolete pre script

* Mon Jan 14 2013 umeabot <umeabot> 7.3.762-3.mga3
+ Revision: 385415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 tv <tv> 7.3.762-2.mga3
+ Revision: 334991
- new release

* Thu Nov 15 2012 tv <tv> 7.3.715-2.mga3
+ Revision: 318242
- new release

* Mon Nov 05 2012 tv <tv> 7.3.712-2.mga3
+ Revision: 314459
- rebuild for new perl

* Thu Nov 01 2012 tv <tv> 7.3.712-1.mga3
+ Revision: 312018
- new release

* Thu Nov 01 2012 fwang <fwang> 7.3.659-3.mga3
+ Revision: 311991
- rebuild for new ruby
+ dams <dams>
- add a new icon to fix ugly rendering in GNOME3
- clean specfile

* Mon Sep 10 2012 tv <tv> 7.3.659-2.mga3
+ Revision: 291565
- rebuild for new libruby

* Sun Sep 09 2012 tv <tv> 7.3.659-1.mga3
+ Revision: 291312
- new release

* Sun Sep 09 2012 tv <tv> 7.3.646-2.mga3
+ Revision: 291302
- rebuild for new libruby

* Wed Aug 29 2012 tv <tv> 7.3.646-1.mga3
+ Revision: 285538
- new release

* Thu Aug 23 2012 jquelin <jquelin> 7.3.629-3.mga3
+ Revision: 283287
- perl 5.16.1 rebuild

* Thu Aug 09 2012 tv <tv> 7.3.629-2.mga3
+ Revision: 280106
- new release

* Sat Jul 28 2012 tv <tv> 7.3.617-2.mga3
+ Revision: 275398
- new release

* Mon Jul 23 2012 tv <tv> 7.3.608-2.mga3
+ Revision: 273765
- new release

* Thu May 31 2012 blino <blino> 7.3.531-2.mga3
+ Revision: 251907
- fix build with latest perl (from upstream hg revision 7613c9ab083f)
+ tv <tv>
- new release
- rebuild for new perl
+ jquelin <jquelin>
- perl 5.16 rebuild

* Tue Mar 20 2012 guillomovitch <guillomovitch> 7.3.444-2.mga2
+ Revision: 225129
- fix missing ruby support

* Thu Feb 16 2012 tv <tv> 7.3.444-1.mga2
+ Revision: 209696
- new release

* Wed Feb 08 2012 tv <tv> 7.3.434-1.mga2
+ Revision: 206562
- new release

* Mon Jan 30 2012 tv <tv> 7.3.421-1.mga2
+ Revision: 203137
- new release

* Mon Jan 23 2012 tv <tv> 7.3.409-1.mga2
+ Revision: 200158
- new release

* Tue Dec 13 2011 tv <tv> 7.3.372-1.mga2
+ Revision: 181135
- new release

* Sun Nov 27 2011 tv <tv> 7.3.353-1.mga2
+ Revision: 172576
- new release

* Fri Oct 14 2011 jquelin <jquelin> 7.3.322-2.mga2
+ Revision: 155105
- perl 5.14.2 rebuild

* Thu Sep 22 2011 tv <tv> 7.3.322-1.mga2
+ Revision: 146851
- new release
- drop patch 1000 (obsolete since 7.3.315)
- new release
- drop patch 1000 (obsolete since 7.3.315)

* Thu Sep 15 2011 tv <tv> 7.3.315-1.mga2
+ Revision: 143859
- new release

* Wed Sep 07 2011 tv <tv> 7.3.294-1.mga2
+ Revision: 140199
- new release
- new release
- official patch level 280
- new release
- new release
- new release
+ fwang <fwang>
- fix desktop file

* Sun Jul 03 2011 fwang <fwang> 7.3.237-2.mga2
+ Revision: 117535
- rebuild for new tcl

* Wed Jun 29 2011 tv <tv> 7.3.237-1.mga2
+ Revision: 116127
- new release

* Sun Jun 19 2011 jquelin <jquelin> 7.3.219-4.mga2
+ Revision: 109898
- perl 5.14.1 rebuild

* Sun Jun 19 2011 tmb <tmb> 7.3.219-3.mga2
+ Revision: 109852
- rebuild for perl-5.14.1

* Tue Jun 14 2011 tv <tv> 7.3.219-2.mga2
+ Revision: 106057
- official patch level 219

* Sat Jun 11 2011 jquelin <jquelin> 7.3.154-2.mga2
+ Revision: 103441
- perl 5.14 rebuild

* Tue Apr 05 2011 tv <tv> 7.3.154-1.mga1
+ Revision: 80914
- reset release
- official patch level 154
- rediff xxd-locale.patch
- drop patches 11 (unused) & 29 (useless)

* Thu Feb 17 2011 jquelin <jquelin> 7.3.107-8.mga1
+ Revision: 52902
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 7.3.107-7.mga1
+ Revision: 52701
- perl 5.12.3 rebuild

* Tue Feb 01 2011 dmorgan <dmorgan> 7.3.107-6.mga1
+ Revision: 45703
- Update Vim patch level

* Mon Jan 24 2011 pterjan <pterjan> 7.3.003-5.mga1
+ Revision: 37374
- Rebuild for new perl

* Mon Jan 17 2011 pterjan <pterjan> 7.3.003-4.mga1
+ Revision: 21350
- Rebuild for python 2.7

* Fri Jan 14 2011 dmorgan <dmorgan> 7.3.003-3.mga1
+ Revision: 18008
- Fix file list
+ ahmad <ahmad>
- clean spec
- drop old/unneeded macros
- drop old/unneeded conflicts
- rename README.mdv to README.mga and edit it to replace Mandriva with Mageia
- rename the .desktop file to mageia-*
- imported package vim


* Sun Oct 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 7.3.003-3mdv2011.0
+ Revision: 590970
- manually delete unpackaged files due to change in %%exclude behaviour

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Tue Sep 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 7.3.003-2mdv2011.0
+ Revision: 576664
- rebuild for perl 5.12.2

* Thu Aug 26 2010 Thierry Vignaud <tv@mandriva.org> 7.3.003-1mdv2011.0
+ Revision: 573427
- bump to official patchlevel 003

* Fri Aug 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 7.3.0-1mdv2011.0
+ Revision: 571548
- fix alternative mess (#28869):
- drop uvi alternative, there isn't any such command
- ensure rvi, view, ex, ... are slaves from master vi alternative
- ensure rvim is slaves from master vim alternative
- rename README.mdk into README.mdv, and drop unrelated bash-completion content
- new version
- drop perl 5.10 syntax patch (uneeded anymore)
- rediff po-mode and fstabsyntax patches

  + Anssi Hannula <anssi@mandriva.org>
    - move dependency on perl-common from vim-common into vim-enhanced and
      vim-X11 as the dependency is in the binaries themselves (fixes vim
      startup during upgrade)

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 7.2.446-4mdv2011.0
+ Revision: 562081
- perl 5.12.1 rebuild

* Sun Jul 25 2010 Thierry Vignaud <tv@mandriva.org> 7.2.446-3mdv2011.0
+ Revision: 558321
- drop patch 32 (lzma support was merged upstream and this one was just breaking stuff)

* Thu Jul 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 7.2.446-2mdv2011.0
+ Revision: 556718
- Rebuild vim

* Tue Jul 20 2010 Thierry Vignaud <tv@mandriva.org> 7.2.446-1mdv2011.0
+ Revision: 556286
- bump to official patchlevel 446
- rediff a couple patches
- drop patch 102 (merged upstream)

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 7.2.284-6mdv2011.0
+ Revision: 555416
- rebuild for perl 5.12

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 7.2.284-5mdv2010.1
+ Revision: 530157
- fix desktop file

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for main/testing

* Thu Jan 07 2010 Anssi Hannula <anssi@mandriva.org> 7.2.284-3mdv2010.1
+ Revision: 487277
- add release on requires on vim-common in vim-enhanced and vim-X11, as
  the vim-enhanced and vim-X11 binaries contain a version-specific
  dependency on perl, which is pulled in by vim-common; thus it is
  required to have them in sync (fixes unavailable vim during upgrade)

  + Thierry Vignaud <tv@mandriva.org>
    - rename mandrake directory as mandriva (#25692)

* Tue Nov 10 2009 Michael Scherer <misc@mandriva.org> 7.2.284-2mdv2010.1
+ Revision: 463902
- add highlighting for Suggests: keyword

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 7.2.284-1mdv2010.1
+ Revision: 463787
- new release

* Fri Sep 18 2009 Thierry Vignaud <tv@mandriva.org> 7.2.259-1mdv2010.0
+ Revision: 444368
- bump to official patchlevel 259

* Tue Aug 25 2009 Michael Scherer <misc@mandriva.org> 7.2.245-3mdv2010.0
+ Revision: 420658
- rebuild for new perl

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 7.2.245-2mdv2010.0
+ Revision: 420636
- perl rebuild

* Thu Aug 13 2009 Thierry Vignaud <tv@mandriva.org> 7.2.245-1mdv2010.0
+ Revision: 416035
- bump to official patchlevel 245

  + Michael Scherer <misc@mandriva.org>
    - add version of the GPL to the syntax highlighter for spec file

* Wed Jul 29 2009 Thierry Vignaud <tv@mandriva.org> 7.2.239-1mdv2010.0
+ Revision: 402932
- bump to official patchlevel 239

* Mon May 25 2009 Thierry Vignaud <tv@mandriva.org> 7.2.188-1mdv2010.0
+ Revision: 379502
- bump to official patchlevel 188

* Tue May 12 2009 Thierry Vignaud <tv@mandriva.org> 7.2.166-1mdv2010.0
+ Revision: 374905
- bump to official patchlevel 166

* Wed Mar 04 2009 Colin Guthrie <cguthrie@mandriva.org> 7.2.127-8mdv2009.1
+ Revision: 348709
- Do not fork gvim after initialising gtk (breaks lots of things) mdv#44925

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 7.2.127-7mdv2009.1
+ Revision: 344641
- patch 33: security fix for CVE-2009-0316 (#48045)
- bump to official patchlevel 127

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 7.2.108-6mdv2009.1
+ Revision: 340883
- bump to official patchlevel 108

* Mon Feb 02 2009 Jérôme Soyer <saispo@mandriva.org> 7.2.087-6mdv2009.1
+ Revision: 336345
- Revert to old patch from Fedora

* Sun Feb 01 2009 Jérôme Soyer <saispo@mandriva.org> 7.2.087-5mdv2009.1
+ Revision: 336102
- Really revert 087
- Revert to 87
- Bump Release
- Add python and ruby support for vim-enhanced

* Sun Feb 01 2009 Jérôme Soyer <saispo@mandriva.org> 7.2.087-4mdv2009.1
+ Revision: 336087
- Upgrade top 087 upstream patch
- Clean SPEC
- Fix lib64 for python interpreter

* Mon Jan 19 2009 Helio Chissini de Castro <helio@mandriva.com> 7.2.079-4mdv2009.1
+ Revision: 331250
- Cmake syntax files would be available by cmake own package. This solves current issue of not uptodate syntax new macro entries,
  as cmake is released more often than a vim release.

* Mon Jan 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 7.2.079-3mdv2009.1
+ Revision: 331225
- really add nagios syntax file

* Fri Jan 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 7.2.079-2mdv2009.1
+ Revision: 330280
- add nagios syntax file

* Wed Jan 07 2009 Thierry Vignaud <tv@mandriva.org> 7.2.079-1mdv2009.1
+ Revision: 326714
- bump to official patchlevel 079

* Wed Dec 24 2008 Michael Scherer <misc@mandriva.org> 7.2.069-11mdv2009.1
+ Revision: 318354
- rebuild for new python

* Tue Dec 16 2008 Thierry Vignaud <tv@mandriva.org> 7.2.069-10mdv2009.1
+ Revision: 314751
- fix build
- bump to official patchlevel 069
- rediff some patches due to stricter rpm-4.6rc3
- include official patchlevel in version instead of release

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 7.2-9.065mdv2009.1
+ Revision: 311037
- rebuild for new tcl

  + Thierry Vignaud <tv@mandriva.org>
    - source 3: restore README.mdk (explaining how to update to latest official
      patchlevel) from vim-7.0-14mdv2007.0.src.rpm since it disapeared between
      2007.0 & 2007.1

* Thu Dec 04 2008 Thierry Vignaud <tv@mandriva.org> 7.2-8.065mdv2009.1
+ Revision: 309911
- include official patchlevel in release number
- bump to official patchlevel 065

* Wed Sep 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 7.2-8mdv2009.0
+ Revision: 287822
- cfengine syntax file
- patch perl syntax file for 5.10 new keywords

* Wed Sep 17 2008 Thierry Vignaud <tv@mandriva.org> 7.2-7mdv2009.0
+ Revision: 285363
- bump to official patchlevel 018
- bump to official patchlevel 015

* Tue Sep 09 2008 Thierry Vignaud <tv@mandriva.org> 7.2-5mdv2009.0
+ Revision: 283113
- bump to official patchlevel 013
- fix unreadable files (#43598)

* Mon Sep 01 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 7.2-4mdv2009.0
+ Revision: 278469
- Restored/redid vimrc_nosetmouse patch for vim 7.2, it wasn't already
  applied.

* Fri Aug 29 2008 Pixel <pixel@mandriva.com> 7.2-3mdv2009.0
+ Revision: 277246
- really fix upgrading

* Thu Aug 28 2008 Thierry Vignaud <tv@mandriva.org> 7.2-2mdv2009.0
+ Revision: 276819
- fix upgrading

* Wed Aug 27 2008 Thierry Vignaud <tv@mandriva.org> 7.2-1mdv2009.0
+ Revision: 276566
- new release
- bump to official patchlevel 006
- drop patch 0 (merged upstream)
- rediff patch 28 & 32
- bump to official patchlevel 330

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 7.1-16mdv2009.0
+ Revision: 265771
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Thierry Vignaud <tv@mandriva.org> 7.1-15mdv2009.0
+ Revision: 218083
- bump to official patchlevel 314
- bump to official patchlevel 264
- do not require the whole perl

* Thu Feb 07 2008 Thierry Vignaud <tv@mandriva.org> 7.1-14mdv2008.1
+ Revision: 163557
- make xxd working with files larger than 2GB on ia32 (#37332)
- add patch 34: match more keywords in fstab
- update to official patchlevel 244
- buildrequires ncurses-devel, thus using ncurses instead of termcap (#37529)

* Wed Jan 30 2008 Thierry Vignaud <tv@mandriva.org> 7.1-13mdv2008.1
+ Revision: 160321
- update to official patchlevel 242
- point the bogus patch on error

* Mon Jan 21 2008 Gustavo De Nardin <gustavodn@mandriva.com> 7.1-12mdv2008.1
+ Revision: 155887
- re-rebuild for perl-5.10.0 (unneeded, vim was just left half upgraded by urpmi)

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 7.1-11mdv2008.1
+ Revision: 151249
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 7.1-10mdv2008.0
+ Revision: 82053
- rebuild for new soname of tcl

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Aug 21 2007 Thierry Vignaud <tv@mandriva.org> 7.1-9mdv2008.0
+ Revision: 68592
- fix file conflict (#32651)
- kill file require on update-alternatives
- update to officiel patch level 87
- fix man pages extension

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.1-8mdv2008.0
+ Revision: 63544
- fix crash

* Sun Jul 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.1-7mdv2008.0
+ Revision: 52224
- fix problems reading compressed files caused by fortify patch (update P33, fixes #31908)
- update to patch level 028 (S4)

* Fri Jul 13 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.1-6mdv2008.0
+ Revision: 51790
- replace buffer overflow patch (P33) with better from LFS

* Thu Jul 12 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.1-5mdv2008.0
+ Revision: 51636
- fix buffer overflow that caused vim to be crashed with fortify (P33)
- do parallell build
- more lzma support added (P32)
- add some lzma support (P32, work in progress)

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 7.1-4mdv2008.0
+ Revision: 45094
- recognize %%serverbuild when syntax highlighting

  + Michael Scherer <misc@mandriva.org>
    - fix documentation

* Mon Jun 25 2007 Thierry Vignaud <tv@mandriva.org> 7.1-3mdv2008.0
+ Revision: 44064
- update to official patch 12

  + Andreas Hasenack <andreas@mandriva.com>
    - added apparmor syntax file

* Wed May 16 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 7.1-2mdv2008.0
+ Revision: 27371
- Added vimrc_nosetmouse patch, don't 'set mouse=a' by default, keep
  behaviour like old versions before 7.1, set mouse=a changes behavior
  of copy/paste with mouse on X.

* Tue May 15 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 7.1-1mdv2008.0
+ Revision: 26879
- New version

* Thu May 10 2007 Thierry Vignaud <tv@mandriva.org> 7.0-19mdv2008.0
+ Revision: 26129
- bump release

* Thu May 10 2007 Thierry Vignaud <tv@mandriva.org> 7.0-18mdv2008.0
+ Revision: 26112
- patch 31: security fix for CVE-2007-2438

* Thu Apr 19 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 7.0-17mdv2008.0
+ Revision: 14888
- Kill old debian style


* Thu Dec 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 7.0-16mdv2007.0
+ Revision: 101032
- update up to official patchlevel 178

* Wed Dec 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 7.0-15mdv2007.1
+ Revision: 100514
- rebuild against latest python

  + Michael Scherer <misc@mandriva.org>
    - Import vim

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 7.0-14mdv2007.0
- Rebuild

* Tue Sep 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 7.0-13mdv2007.0
- buildrequires libxt-devel (should fix automatic rebuilds)

* Sat Sep 09 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 7.0-12mdv2007.0
- Add missing }

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 7.0-11mdv2007.0
- Rebuild to get GUI back

* Sat Sep 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 7.0-10mdv2007.0
- add update-desktop-database call in %%post/%%postun

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 7.0-9mdv2007.0
- rebuild manually on all architectures to get GUI...

* Sun Aug 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 7.0-8mdv2007.0
- Fix text/plain typo

* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 7.0-7mdv2007.0
- drop usage of /usr/X11R6 tree
- xdg menu
- some spec cleanup

* Fri Jul 07 2006 Frederic Crozat <fcrozat@mandriva.com> 7.0-6mdv2007.0
- rebuild again to really get GUI working

* Mon Jun 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 7.0-5mdv2007.0
- rebuild to get GUI working

* Sat Jun 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 7.0-4mdv2007.0
- update up to official patchlevel 30
- move the conflicts in common subpackage (#23068)
- patch 30: add colorization for dhcpd (#21129)
- source 3:
  o fix gvim not recognized as an editor in GNOME (#14228)
  o fix integration with Konqueror (#12331)

* Thu May 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 7.0-3mdk
- fix harmless typo in conflict

* Thu May 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 7.0-2mdk
- fix conflict with man-pages-{fr,it,pl}

* Wed May 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 7.0-1mdk
- new release
- update up to official patchlevel 1
- update patch 26
- patch 29: fix build

* Thu Mar 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.4-8mdk
- update up to official patchlevel 8
- enable ACL support for enhanced and X11 subpackages (#21447)

* Fri Jan 27 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 6.4-7mdk
- drop BuildRequires: tclx tclx-devel

* Tue Jan 24 2006 Oden Eriksson <oeriksson@mandriva.com> 6.4-6mdk
- rebuilt against perl-5.8.8

* Fri Jan 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.4-5mdk
- Rebuild for new perl

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 6.4-4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Wed Oct 26 2005 Olivier Thauvin <nanardon@mandriva.org> 6.4-2mdk
- manual rebuild to have vim-X11 working on amd64

* Wed Oct 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.4-2mdk
- Fix vim syntax error in Patch 3
- Add gvimdiff symlink

* Tue Oct 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 6.4-1mdk
- new release
- redo patches 3 & 28

* Sun Aug 07 2005 Olivier Thauvin <nanardon@mandriva.org> 6.3-21mdk
- rebuild manually on amd64 to have X11...

* Sat Aug 06 2005 Olivier Thauvin <nanardon@mandriva.org> 6.3-20mdk
- _try_ to ensure gvim is really build with x11 extension
  the problem occur when the bot build the spec
  (E25: GUI cannot be used: Not enabled at compile time)

* Sat Jul 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 6.3-19mdk
- update up to official patchlevel 86

* Sat Jul 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 6.3-18mdk 
- update spec mode to 3.0, and add missing documentation

* Wed Jul 13 2005 Olivier Thauvin <nanardon@mandriva.org> 6.3-17mdk
- --enable-rubyinterp (Andre Nathan <andre@digirati.com.br>)
- --enable-tclinterp in same time

* Sun May 22 2005 Olivier Thauvin <nanardon@mandriva.org> 6.3-16mdk
- fix perl version eval

* Sat May 21 2005 Olivier Thauvin <nanardon@zarb.org> 6.3-15mdk
- fix spec mode (update patch 3)
- add --without gui

* Fri May 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.3-14mdk
- Rebuild for new perl

* Tue Apr 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.3-13mdk
- update up to official patchlevel 71

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.3-12mdk
- update up to official patchlevel 62:
  o wrong text and crash using <C-R>= or <C-\>e in command line
  o window title wrong for specific multi-byte character
  o folds are not updated after a filter command
  o crash when zero columns room; can't compile without :vsplit
  o crash when editing a file with spaces and shell expansion
  o register name isn't checked for CTRL-R CTRL-O in Insert mode
  o display mess when multi-byte char at right edge of screen
  o ":normal! gQ" hangs

* Tue Feb 15 2005 Michael Scherer <misc@mandrake.org> 6.3-11mdk
- fix svn commit file detection

* Wed Feb 02 2005 Michael Scherer <misc@mandrake.org> 6.3-10mdk
- add missing BuildRequires ( python-devel )

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.3-9mdk
- update up to official patchlevel 54

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.3-8mdk
- update up to official patchlevel 53:
  o can't edit file with path separator in trail byte of last char
  o when <Space> is remapped abbreviations are not expanded
  o missing NUL for strings created with ga_concat()
  o (extra) missing NUL for list of server names
  o setting 'bg' in syncolor.vim may cause endless loop or crash
  o the BOM marker is written when appending to a file
  o crash in syntax highlighting code when inserting a line break
  o GTK 2: crash when 'enc' is set to "utf-8" and menus redefined
  o pressing Tab when entering a mapping may cause a display error
  o with Python 2.3 using threads doesn't work
  o mapping ending in two-char command doesn't restart Insert mode
  o ml_get errors when fold was deleted
  o (after 6.3.032) warning for unused variable
  o line numbers not updated when inserting a line above window
  o window count for a buffer was wrong after error handling
  o CTRL-X CTRL-E in Insert mode does not scroll fold correctly
  o 'hlsearch' highlighting sometimes disappears
  o some option values may cause trouble in a modeline
  o ":registers" doesn't show multi-byte characters correctly
  o (after 6.3.045) compiler warning for pointer type
  o a SIGHUP while already exiting may cause a crash
  o crash when 'wildmenu' set and completing multi-byte file name

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 6.3-7mdk
- Rebuild for new python

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.3-6mdk
- Rebuild for new perl

* Sat Sep 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.3-5mdk
- update up to official patchlevel 20:
  o default value of 'helplang' is wrong for Chinese and Taiwanese
  o the string returned by winrestcmd() may end in garbage
  o 'define' default had "\s" before #, breaks "[d"
  o "9zz" could place the cursor beyond the end of a line
  o ":0argadd zero" added the argument after the first one
  o crash during startup when compiled for debugging
  o "dw" doesn't work right for UTF-8 when 'delcombine' is set

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 6.3-4mdk
- Rebuild with new menu

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.3-3mdk
- update up to official patchlevel 13:
  o utf-8 detection in translated help files is wrong
  o crash when using console dialog without default choice
  o too many hit-enter prompts when searching for long string
  o crash when searching with character offset in closed fold
  o the current directory is prepended to the ":breakadd" argument
  o swap file is not deleted for a "nofile" buffer after ":cd"
  o writing to a named pipe causes an error message for fsync()
  o crash when user command completion uses "normal :cmd"
  o lalloc(0) error for substitute command with multi-line pattern
  o crash when using CTRL-R = in command line uses "normal :cmd"

* Thu Jul 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.3-2mdk
- Rebuild for new perl

* Fri Jun 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.3-1mdk
- new release
- disable command echo by default (olivier thauvin)
- renew patch 23
- update up to official patchlevel 181:
  o ":browse split" gives file selection dialog twice

* Wed May 05 2004 Luca Berra <bluca@vodka.it> 6.2-17mdk
- update source 5 and drop p29 (fix #6753)
- kill evim (evil vim) manpage, add rview symlink
- remove dangling symlinks in /usr/bin

* Wed May 05 2004 Michael Scherer <misc@mandrake.org> 6.2-16mdk
- fix #4688, by using a config file in /etc/

* Fri Apr 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 6.2-15mdk
- rebuild
- don't remove builddir in %%clean

* Wed Jan 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2-14mdk
- update up to official patchlevel 180:
  o not all "find" versions accept "-or"
  o _Xmblen prototype still causes trouble
  o mouse click at hit-enter prompt only works in last line
  o setting 'backupext' in a *WritePre autocommand doesn't work
  o accented characters in help are not used in 'iskeyword'
  o VisVim: space in file name, random chars are executed
  o newbies can't figure out how to exit and try CTRL-C 
  o English message translations don't work
  o CVS directories still unecessarily installed
- source 5: spec mode from Guillaume Rousse

* Mon Jan 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2-13mdk
- update up to official patchlevel 170:
  o "%%p" in 'errorformat' uses a wrong column number
  o configure doesn't get the right compile flags for Perl
  o "undo" in 'foldopen' doesn't work with expression folding
  o crash with 'virtualedit' and selecting double-wide character
  o ":redraw" doesn't adjust the view before redrawing
  o "AAPDIR" directories should not be installed
  o  2html script still fails when css used
  o autoconf 2.57 cannot handle the configure script
  o the gzip plugin doesn't work when $GZIP contains -N
  o the Python interface may leak memory
  o Python interface: can't get the indices from a range object
  o get a warning for the _Xmblen() prototype
  o when using Sun Workshop 'autochdir' isn't set automatically

